import { ISwitchLabelProps, ISwitchAreaProps, ISwitcherProps } from "./types";
export declare const Label: import("styled-components").StyledComponent<"label", import("styled-components").DefaultTheme, ISwitchLabelProps, never>;
export declare const SwitchContainer: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
export declare const SwitchArea: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ISwitchAreaProps, never>;
export declare const Switcher: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, ISwitcherProps, never>;
export declare const SwitchTitle: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {}, never>;
